CredentialsController_create
POST
/api/agents/credentials
const url = 'https://api.streams-ai.com/api/agents/credentials';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"providerType":"custom_webhook","authMode":"api_key","payload":{"additionalProperty":"example"},"config":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams-ai.com/api/agents/credentials \ --header 'Content-Type: application/json' \ --data '{ "providerType": "custom_webhook", "authMode": "api_key", "payload": { "additionalProperty": "example" }, "config": { "additionalProperty": "example" } }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
providerType
required
string
authMode
required
string
payload
required
object
key
additional properties
string
config
object
key
additional properties

